#include "mbed.h"

//------------------------------------
// Hyperterminal configuration
// 115200 bauds, 8-bit data, no parity
//------------------------------------

Serial pc(SERIAL_TX, SERIAL_RX);
Serial mcu(PC_6,PC_7);//TX-----PC_6;RX ----PC_7
 
DigitalOut myled(LED1);


DigitalOut GSM_EN(D2);//Enable the GSM mode 
DigitalOut GPS_EN(D3);//Enable the GPS mode 

#define HIGH 1
#define LOW 0


void uart_IRQ()
{
    mcu.putc(pc.getc());    
} 

int main() {
    pc.baud(115200);
    mcu.baud(115200);
    pc.attach(&uart_IRQ,SerialBase::RxIrq);
    GSM_EN = LOW;
    GPS_EN = HIGH;    
    pc.printf("AT\r\n");//Test the connection  
    wait_ms(500);
    pc.printf("AT+CGPSPWR=1\r\n");//Test the connection  
    wait_ms(500);
    pc.printf("AT+CGPSRST=1\r\n");//Test the connection  
    wait_ms(200);
    GSM_EN = HIGH;
    GPS_EN = LOW;   
    while(1);
    
    
}